<?php
/***************************************************************
*  Copyright notice
*  
*  (c) 2003 Boris Nicolai (boris.nicolai@andavida.com)
*  All rights reserved
*
*  This script is part of the Typo3 project. The Typo3 project is 
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
* 
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
* 
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/** 
 * "Plugin" 'SourceOptimization' extendes in this step the fct. processOutput, which 
 * is called nearly at the very end of the pagecreation. when it is called an additional class
 * for the source-optimization
 * Issues: Cause the processOutput is called in the index.php before any EXTERNAL Script 
 * (PHP_SCRIPT_EXT) external scripts are ignored. Workaround would be modifieying the index.php
 * so that external scripts are directly outputted but cached
 * @author	Boris Nicolai <boris.nicolai@andavida.com>
 */

require_once (PATH_t3lib."class.t3lib_extmgm.php");
require_once (t3lib_extMgm::extPath ("sourceopt")."pi1/class.tx_sourceopt_pi1.php");

class ux_tslib_fe extends tslib_fe {
	
	function processOutput ()
	{
		parent::processOutput ();
		
		$tx_sourceopt_pi1 =& new tx_sourceopt_pi1 ();
		$tx_sourceopt_pi1->main (&$this->content, &$this->config['config']['source_optimization.']);
	}

}
?>